For the complete documentation index, see llms.txt. This page is also available as Markdown.

Resource Analytics

Retrieve analytics data for CDN resources, including historical metrics, traffic distribution, request patterns, and status-based insights.

This section provides access to resource-level analytics endpoints. Each endpoint returns aggregated or time-series data for CDN resources, enabling analysis of traffic behavior, cache performance, and response distributions.

Historical Metrics

Retrieve time-based analytics data for resources. Each endpoint represents a specific metric type.

Analytics Resource Historical Metric Data

post

Get historical data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
typestring · enumRequiredPossible values:
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/historical/metric
POST /api/v2/analytics/resource/historical/metric HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 136

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "type": "hit",
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "selected_time": {
          "from": "text",
          "to": "text",
          "traffic": 1,
          "traffic_formatted": "text",
          "hit": 1,
          "hit_formatted": "text",
          "bandwidth": 1,
          "bandwidth_formatted": "text",
          "count": 1,
          "count_formatted": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "previous": {
          "from": "text",
          "to": "text",
          "traffic": 1,
          "traffic_formatted": "text",
          "hit": 1,
          "hit_formatted": "text",
          "bandwidth": 1,
          "bandwidth_formatted": "text",
          "count": 1,
          "count_formatted": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "indicate": 1,
        "this_month": {
          "from": "text",
          "to": "text",
          "traffic": 1,
          "traffic_formatted": "text",
          "hit": 1,
          "hit_formatted": "text",
          "bandwidth": 1,
          "bandwidth_formatted": "text",
          "count": 1,
          "count_formatted": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "last_month": {
          "from": "text",
          "to": "text",
          "traffic": 1,
          "traffic_formatted": "text",
          "hit": 1,
          "hit_formatted": "text",
          "bandwidth": 1,
          "bandwidth_formatted": "text",
          "count": 1,
          "count_formatted": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    },
    "overall": {
      "status": true,
      "data": {
        "selected_time": {
          "from": "text",
          "to": "text",
          "traffic": 1,
          "traffic_formatted": "text",
          "hit": 1,
          "hit_formatted": "text",
          "bandwidth": 1,
          "bandwidth_formatted": "text",
          "count": 1,
          "count_formatted": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "previous": {
          "from": "text",
          "to": "text",
          "traffic": 1,
          "traffic_formatted": "text",
          "hit": 1,
          "hit_formatted": "text",
          "bandwidth": 1,
          "bandwidth_formatted": "text",
          "count": 1,
          "count_formatted": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "indicate": 1,
        "this_month": {
          "from": "text",
          "to": "text",
          "traffic": 1,
          "traffic_formatted": "text",
          "hit": 1,
          "hit_formatted": "text",
          "bandwidth": 1,
          "bandwidth_formatted": "text",
          "count": 1,
          "count_formatted": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "last_month": {
          "from": "text",
          "to": "text",
          "traffic": 1,
          "traffic_formatted": "text",
          "hit": 1,
          "hit_formatted": "text",
          "bandwidth": 1,
          "bandwidth_formatted": "text",
          "count": 1,
          "count_formatted": "text",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "time_periods": [
      "text"
    ],
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Historical Hit Ratio

post

Get historical data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
typestring · enumRequiredPossible values:
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/historical/hit_ratio
POST /api/v2/analytics/resource/historical/hit_ratio HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 136

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "type": "hit",
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "hit_ratio": "text"
      }
    },
    "overall": {
      "hit_ratio": "text"
    }
  }
}

Historical GPU Transaction

post

Get historical data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
typestring · enumRequiredPossible values:
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/historical/gpu_transaction
POST /api/v2/analytics/resource/historical/gpu_transaction HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 136

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "type": "hit",
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "gpu_transaction": 1
      }
    },
    "overall": {
      "gpu_transaction": 1
    }
  }
}

Traffic & Request Analytics

Retrieve histogram-based analytics data over time.

Traffic Histogram

post

Get histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/traffic_report/graph
POST /api/v2/analytics/resource/traffic_report/graph HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "traffic": 1,
          "traffic_formatted": "text"
        }
      ]
    },
    "overall": {
      "progressive": [
        {
          "time": 1,
          "traffic": 1,
          "traffic_formatted": "text"
        }
      ],
      "streaming": [
        {
          "time": 1,
          "traffic": 1,
          "traffic_formatted": "text"
        }
      ]
    }
  }
}

Request Histogram

post

Get histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/request_report/graph
POST /api/v2/analytics/resource/request_report/graph HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "total": 1,
          "total_format": "text",
          "count": 1
        }
      ]
    },
    "overall": {
      "progressive": [
        {
          "time": 1,
          "total": 1,
          "total_format": "text",
          "count": 1
        }
      ],
      "streaming": [
        {
          "time": 1,
          "total": 1,
          "total_format": "text",
          "count": 1
        }
      ]
    }
  }
}

Bandwidth Histogram

post

Get histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/bandwidth_report/graph
POST /api/v2/analytics/resource/bandwidth_report/graph HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "bandwidth": 1,
          "bandwidth_formatted": "text"
        }
      ]
    },
    "overall": {
      "progressive": [
        {
          "time": 1,
          "bandwidth": 1,
          "bandwidth_formatted": "text"
        }
      ],
      "streaming": [
        {
          "time": 1,
          "bandwidth": 1,
          "bandwidth_formatted": "text"
        }
      ]
    }
  }
}

Cache Analytics

Cache Histogram

post

Get histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/cache_report/graph
POST /api/v2/analytics/resource/cache_report/graph HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": [
          {
            "time": 1,
            "hit": 1,
            "hit_formatted": "text"
          }
        ]
      }
    },
    "overall": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "hit": 1,
          "hit_formatted": "text"
        }
      ]
    }
  }
}

Non-Cache Histogram

post

Get histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/non_cache_report/graph
POST /api/v2/analytics/resource/non_cache_report/graph HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": [
          {
            "time": 1,
            "hit": 1,
            "hit_formatted": "text"
          }
        ]
      }
    },
    "overall": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "hit": 1,
          "hit_formatted": "text"
        }
      ]
    }
  }
}

Cache Traffic Histogram

post

Get histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/cache_traffic_report/graph
POST /api/v2/analytics/resource/cache_traffic_report/graph HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": [
          {
            "time": 1,
            "traffic": 1,
            "traffic_formatted": "text"
          }
        ]
      }
    },
    "overall": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "traffic": 1,
          "traffic_formatted": "text"
        }
      ]
    }
  }
}

Non-Cache Traffic Histogram

post

Get histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/non_cache_traffic_report/graph
POST /api/v2/analytics/resource/non_cache_traffic_report/graph HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": [
          {
            "time": 1,
            "traffic": 1,
            "traffic_formatted": "text"
          }
        ]
      }
    },
    "overall": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "traffic": 1,
          "traffic_formatted": "text"
        }
      ]
    }
  }
}

Status Code Analytics

Retrieve response distribution grouped by HTTP status classes.

Status Histogram 2XX

post

Get status histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/status_report/graph/2xx
POST /api/v2/analytics/resource/status_report/graph/2xx HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": [
          {
            "time": 1,
            "hit": 1
          }
        ]
      }
    },
    "overall": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "hit": 1
        }
      ]
    }
  }
}

Status Histogram 3XX

post

Get status histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/status_report/graph/3xx
POST /api/v2/analytics/resource/status_report/graph/3xx HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": [
          {
            "time": 1,
            "hit": 1
          }
        ]
      }
    },
    "overall": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "hit": 1
        }
      ]
    }
  }
}

Status Histogram 4XX

post

Get status histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/status_report/graph/4xx
POST /api/v2/analytics/resource/status_report/graph/4xx HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": [
          {
            "time": 1,
            "hit": 1
          }
        ]
      }
    },
    "overall": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "hit": 1
        }
      ]
    }
  }
}

Status Histogram 5XX

post

Get status histogram data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/status_report/graph/5xx
POST /api/v2/analytics/resource/status_report/graph/5xx HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": [
          {
            "time": 1,
            "hit": 1
          }
        ]
      }
    },
    "overall": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "time": 1,
          "hit": 1
        }
      ]
    }
  }
}

Additional Analytics

Error Analytics

post

Get error data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
limitinteger · nullableOptional
pageinteger · nullableOptionalDefault: 1
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/errors
POST /api/v2/analytics/resource/errors HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 142

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "limit": 1,
  "page": 1
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "status_code": "text",
          "total": 1
        }
      ]
    },
    "overall": [
      {
        "status_code": "text",
        "total": 1
      }
    ]
  }
}

Visitors Countries

post

Get country visitor data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
limitinteger · nullableOptional
pageinteger · nullableOptionalDefault: 1
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/visitors_countries
POST /api/v2/analytics/resource/visitors_countries HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 142

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "limit": 1,
  "page": 1
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": [
        {
          "country": "text",
          "traffic": 1,
          "traffic_gb": 1,
          "traffic_formatted": "text",
          "hit": 1,
          "hit_formatted": "text"
        }
      ]
    },
    "overall": [
      {
        "country": "text",
        "traffic": 1,
        "traffic_gb": 1,
        "traffic_formatted": "text",
        "hit": 1,
        "hit_formatted": "text"
      }
    ]
  }
}

Region Distribution

post

Get region data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/region
POST /api/v2/analytics/resource/region HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 123

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "ANY_ADDITIONAL_PROPERTY": {
          "total-traffic": 1,
          "total-hit": 1,
          "total-traffic-formatted": "text",
          "total-hit-formatted": "text"
        }
      }
    },
    "overall": {
      "ANY_ADDITIONAL_PROPERTY": {
        "total-traffic": 1,
        "total-hit": 1,
        "total-traffic-formatted": "text",
        "total-hit-formatted": "text"
      }
    }
  }
}

Status Overview

post

Get status data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/status
POST /api/v2/analytics/resource/status HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 123

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "successful_responses": {
          "total_successful_responses": 1,
          "success_responses": 1,
          "other_success_responses": 1,
          "successful_responses_ratio": "text"
        },
        "redirect_responses": {
          "total_redirect_responses": 1,
          "moved_permanently_responses": 1,
          "found_responses": 1,
          "other_redirect_responses": 1,
          "total_redirect_responses_ratio": "text"
        },
        "client_error_responses": {
          "total_client_error_responses": 1,
          "unsupported_media_type_responses": 1,
          "forbidden_responses": 1,
          "not_found_responses": 1,
          "to_many_request": 1,
          "other_client_error_responses": 1,
          "total_client_error_ratio": "text"
        },
        "server_error_responses": {
          "total_server_error_responses": 1,
          "internal_server_error_responses": 1,
          "bad_gateway": 1,
          "gateway_timeout": 1,
          "other_server_error_responses": 1,
          "total_server_error_ratio": "text"
        }
      }
    },
    "overall": {
      "total_request": 1,
      "successful_responses": {
        "total_successful_response": 1,
        "success_responses": 1,
        "other_success_responses": 1,
        "successful_responses_ratio": "text"
      },
      "redirect_responses": {
        "total_redirect_responses": 1,
        "moved_permanently_responses": 1,
        "found_responses": 1,
        "other_redirect_responses": 1,
        "total_redirect_responses_ratio": "text"
      },
      "client_error_responses": {
        "total_client_error_responses": 1,
        "unsupported_media_type_responses": 1,
        "forbidden_responses": 1,
        "not_found_responses": 1,
        "to_many_request": 1,
        "other_client_error_responses": 1,
        "total_client_error_ratio": "text"
      },
      "server_error_responses": {
        "total_server_error_responses": 1,
        "internal_server_error_responses": 1,
        "bad_gateway": 1,
        "gateway_timeout": 1,
        "other_server_error_responses": 1,
        "total_server_error_ratio": "text"
      }
    }
  }
}

Real-Time Metrics

Active Traffic

post

Get active data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/active_traffic
POST /api/v2/analytics/resource/active_traffic HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "current": 1,
        "max": 1,
        "unit": "text"
      }
    },
    "overall": {
      "current": 1,
      "max": 1,
      "unit": "text"
    }
  }
}

Active Hit

post

Get active data for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
intervalstring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/active_hit
POST /api/v2/analytics/resource/active_hit HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 141

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text",
  "interval": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "current": 1,
        "max": 1,
        "unit": "text"
      }
    },
    "overall": {
      "current": 1,
      "max": 1,
      "unit": "text"
    }
  }
}

Detailed Analytics

Traffic Detail

post

Get traffic detail for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/traffic_detail
POST /api/v2/analytics/resource/traffic_detail HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 123

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "traffic": {
          "ANY_ADDITIONAL_PROPERTY": {
            "from": "text",
            "to": "text",
            "traffic": 1,
            "traffic_formatted": "text"
          }
        },
        "cached_data": {
          "total_cached_traffic": {
            "traffic": 1,
            "bandwidth": "text",
            "traffic_formatted": "text"
          },
          "hit_traffic_ratio": "text",
          "hit_traffic": {
            "traffic": 1,
            "bandwidth": "text",
            "traffic_formatted": "text"
          },
          "updating_traffic": {
            "traffic": 1,
            "bandwidth": "text",
            "traffic_formatted": "text"
          },
          "stale_traffic": {
            "traffic": 1,
            "bandwidth": "text",
            "traffic_formatted": "text"
          },
          "revalidated_traffic": {
            "traffic": 1,
            "bandwidth": "text",
            "traffic_formatted": "text"
          }
        },
        "non_cached_data": {
          "total_noncached_traffic": {
            "traffic": 1,
            "bandwidth": "text",
            "traffic_formatted": "text"
          },
          "miss_traffic_ratio": "text",
          "miss_traffic": {
            "traffic": 1,
            "bandwidth": "text",
            "traffic_formatted": "text"
          },
          "expired_traffic": {
            "traffic": 1,
            "bandwidth": "text",
            "traffic_formatted": "text"
          },
          "empty_traffic": {
            "traffic": 1,
            "bandwidth": "text",
            "traffic_formatted": "text"
          }
        }
      }
    },
    "overall": {
      "traffic": {
        "ANY_ADDITIONAL_PROPERTY": {
          "from": "text",
          "to": "text",
          "traffic": 1,
          "traffic_formatted": "text"
        }
      },
      "cached_data": {
        "total_cached_traffic": {
          "traffic": 1,
          "bandwidth": "text",
          "traffic_formatted": "text"
        },
        "hit_traffic_ratio": "text",
        "hit_traffic": {
          "traffic": 1,
          "bandwidth": "text",
          "traffic_formatted": "text"
        },
        "updating_traffic": {
          "traffic": 1,
          "bandwidth": "text",
          "traffic_formatted": "text"
        },
        "stale_traffic": {
          "traffic": 1,
          "bandwidth": "text",
          "traffic_formatted": "text"
        },
        "revalidated_traffic": {
          "traffic": 1,
          "bandwidth": "text",
          "traffic_formatted": "text"
        }
      },
      "non_cached_data": {
        "total_noncached_traffic": {
          "traffic": 1,
          "bandwidth": "text",
          "traffic_formatted": "text"
        },
        "miss_traffic_ratio": "text",
        "miss_traffic": {
          "traffic": 1,
          "bandwidth": "text",
          "traffic_formatted": "text"
        },
        "expired_traffic": {
          "traffic": 1,
          "bandwidth": "text",
          "traffic_formatted": "text"
        },
        "empty_traffic": {
          "traffic": 1,
          "bandwidth": "text",
          "traffic_formatted": "text"
        }
      }
    }
  }
}

Request Detail

post

Get request detail for individual resources and overall.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
organization_uuidstringRequired
resourcesstring[] · nullableOptional
fromstring · date-timeRequiredExample: 2024-11-12 00:00:00
tostring · date-timeRequiredExample: 2024-11-12 23:59:59
timezonestring · nullableOptional
Responses
200

Successful Response

application/json
statusbooleanRequired
post/api/v2/analytics/resource/request_detail
POST /api/v2/analytics/resource/request_detail HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 123

{
  "organization_uuid": "text",
  "resources": [
    "text"
  ],
  "from": "2024-11-12 00:00:00",
  "to": "2024-11-12 23:59:59",
  "timezone": "text"
}
{
  "status": true,
  "data": {
    "per_resources": {
      "ANY_ADDITIONAL_PROPERTY": {
        "cached_data": {
          "total_hits": 1,
          "hit_ratio": 1,
          "hit_request": 1,
          "updating_request": 1,
          "stale_request": 1,
          "revalidated_request": 1
        },
        "non_cached_data": {
          "total_misses": 1,
          "miss_ratio": 1,
          "miss_request": 1,
          "expired_request": 1
        },
        "other_data": 1,
        "total_request": 1,
        "unit": "text",
        "resources": [
          "text"
        ]
      }
    },
    "overall": {
      "cached_data": {
        "total_hits": 1,
        "hit_ratio": 1,
        "hit_request": 1,
        "updating_request": 1,
        "stale_request": 1,
        "revalidated_request": 1
      },
      "non_cached_data": {
        "total_misses": 1,
        "miss_ratio": 1,
        "miss_request": 1,
        "expired_request": 1
      },
      "other_data": 1,
      "total_request": 1,
      "unit": "text",
      "resources": [
        "text"
      ]
    }
  }
}

Last updated

Was this helpful?